import request from '@/utils/request';

export function countDeptUnTodo() {
  return request({
    url: "/workstudy/post/countDeptUnTodo"
  })
}

export function countFdyUnTodo() {
  return request({
    url: "/workstudy/post/countFdyUnTodo"
  })
}

export function countZdlsUnTodo() {
  return request({
    url: "/workstudy/post/countZdlsUnTodo"
  })
}


export function countZzbUnTodo() {
  return request({
    url: "/workstudy/post/countZzbUnTodo"
  })
}


export function countZzbldUnTodo() {
  return request({
    url: "/workstudy/post/countZzbldUnTodo"
  })
}

export function doReply(data) {
  return request({
    url: '/workstudy/post/doReply',
    method: 'post',
    data: data
  })
}

export function manyAudit(data) {
  return request({
    url: '/workstudy/post/manyAudit',
    method: 'post',
    data: data
  })
}

export function stuGetPost(id) {
  return request({
    url: '/workstudy/post/stuGetInfo/' + id,
    method: 'get'
  })
}

export function listHall(query) {
  return request({
    url: '/workstudy/post/listHall',
    method: 'get',
    params: query
  })
}


export function listHighAll(query) {
  return request({
    url: '/workstudy/post/listHighAll',
    method: 'get',
    params: query
  })
}


export function listHigh(query) {
  return request({
    url: '/workstudy/post/listHigh',
    method: 'get',
    params: query
  })
}



export function listDeptAll(query) {
  return request({
    url: '/workstudy/post/listDeptAll',
    method: 'get',
    params: query
  })
}


export function doAudit(data) {
  return request({
    url: '/workstudy/post/doAudit',
    method: 'post',
    data: data
  })
}



export function getOwnSign() {
  return request({
    method: 'GET',
    url: '/workstudy/post/getOwnSign'
  });
}


export function listDept(query) {
  return request({
    url: '/workstudy/post/listDept',
    method: 'get',
    params: query
  })
}

export function cancelApply(id) {
  return request({
    url: '/workstudy/post/cancelApply/' + id,
    method: 'post'
  })
}


export function listOwnApply(query) {
  return request({
    url: '/workstudy/post/listOwnApply',
    method: 'get',
    params: query
  })
}

export function doApply(data) {
  return request({
    url: '/workstudy/post/doApply',
    method: 'post',
    data: data
  })
}


export function doSave(data) {
  return request({
    url: '/workstudy/post/doSave',
    method: 'post',
    data: data
  })
}

// 查询勤工助学岗位列表
export function listPost(query) {
  return request({
    url: '/workstudy/post/list',
    method: 'get',
    params: query
  })
}

// 查询勤工助学岗位详细
export function getPost(id) {
  return request({
    url: '/workstudy/post/' + id,
    method: 'get'
  })
}

// 新增勤工助学岗位
export function addPost(data) {
  return request({
    url: '/workstudy/post/add',
    method: 'post',
    data: data
  })
}

// 修改勤工助学岗位
export function updatePost(data) {
  return request({
    url: '/workstudy/post/update',
    method: 'post',
    data: data
  })
}

// 删除勤工助学岗位
export function delPost(id) {
  return request({
    url: '/workstudy/post/' + id,
    method: 'post'
  })
}
